from tiramisu import DynOptionDescription
from .utils import normalize_family


class ConvertDynOptionDescription(DynOptionDescription):
    def convert_suffix_to_path(self, suffix):
        if not isinstance(suffix, str):
            suffix = str(suffix)
        return normalize_family(suffix,
                                check_name=False)
